package com.ym.mec.im.entity;

public class GroupModel {

	private String id;
	private GroupMember[] members;
	private String name;
	private Integer minute;//禁言分钟数
	private Integer status;

	public GroupModel() {
	}

	public GroupModel(String id, GroupMember[] members, String name, Integer minute) {
		this.id = id;
		this.members = members;
		this.name = name;
		this.minute = minute;
	}

	public GroupModel(String id, GroupMember[] members, String name) {
		this.id = id;
		this.members = members;
		this.name = name;
	}

	public GroupModel(String id, Integer status) {
		this.id = id;
		this.status = status;
	}

	public String getId() {
		return this.id;
	}

	public GroupModel setId(String id) {
		this.id = id;
		return this;
	}

	public GroupMember[] getMembers() {
		return this.members;
	}

	public GroupModel setMembers(GroupMember[] members) {
		this.members = members;
		return this;
	}

	public String getName() {
		return this.name;
	}

	public GroupModel setName(String name) {
		this.name = name;
		return this;
	}

	public Integer getMinute() {
		return this.minute;
	}

	public GroupModel setMinute(Integer minute) {
		this.minute = minute;
		return this;
	}

	public Integer getStatus() {
		return this.status;
	}
}
